Bug 193999 - [MAINTAINER] update audio/ncmpc to 0.24
Summary: [MAINTAINER] update audio/ncmpc to 0.24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-28 17:09 UTC by henrik
Modified: 2014-12-20 11:34 UTC (History)
1 user (show)

See Also:


Attachments
ncmpc version bump patch (804 bytes, patch)
2014-09-28 17:09 UTC, henrik
no flags Details | Diff
Address plist and license issues with previous patch (1.50 KB, patch)
2014-12-01 12:51 UTC, Thomas Zander
riggs: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description henrik 2014-09-28 17:09:36 UTC
Created attachment 147762 [details]
ncmpc version bump patch

Update to 0.24
Comment 1 Thomas Zander freebsd_committer 2014-10-05 12:54:05 UTC
With LYRICS option deselected:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/ncmpc/lyrics/10-hd.sh
Error: Orphaned: lib/ncmpc/lyrics/20-lyricwiki.rb
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.


Also, could you add

LICENSE=        GPLv2 # or later
LICENSE_FILE=   ${WRKSRC}/COPYING

to the port Makefile after double-checking whether my guess is correct and GPLv2 or later is indeed correct for the whole tarball.
Comment 2 Thomas Zander freebsd_committer 2014-11-30 14:23:21 UTC
Can you please submit an update to address the issues mentioned earlier? Thank you in advance!
Comment 3 henrik 2014-12-01 00:18:31 UTC
I apologize. The previous mail with your comment must have slipped through without me noticing it, somehow.

I do not have access to my computer until the end of December and therefore cannot investigate the issues. The scripts in PLIST were removed upstream, though.
Comment 4 Thomas Zander freebsd_committer 2014-12-01 12:51:22 UTC
Created attachment 150066 [details]
Address plist and license issues with previous patch

Please have a look at this patch, addressing plist and license issues with previous patch 147762.

Let me know if you would like me to commit this.
Comment 5 commit-hook freebsd_committer 2014-12-20 11:32:39 UTC
A commit references this bug:

Author: riggs
Date: Sat Dec 20 11:32:04 UTC 2014
New revision: 374998
URL: https://svnweb.freebsd.org/changeset/ports/374998

Log:
  Update to upstream version 0.24

  While on it:
  - Add LICENSE*
  - Fix conditional installation of lyrics helper scripts

  PR:		193999
  Submitted by:	henrik@affekt.org
  Reviewed by:	riggs
  Approved by:	maintainer (timeout)

Changes:
  head/audio/ncmpc/Makefile
  head/audio/ncmpc/distinfo
Comment 6 Thomas Zander freebsd_committer 2014-12-20 11:34:59 UTC
Committed, thanks!